import { createRouter, createWebHashHistory } from 'vue-router'
import NProgress from 'nprogress'
import { staticRouter, errorRouter } from './modules/staticRouter'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [...staticRouter, ...errorRouter],
  strict: false
})

router.beforeEach((to, from, next) => {
  NProgress.start() // 开始加载

  next()
})

router.afterEach(() => {
  NProgress.done() // 加载完成
})

export default router
