import { RouteRecordRaw } from 'vue-router'
export const staticRouter: RouteRecordRaw[] = [
  {
    path: '/',
    redirect: '/index'
  },
  {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index.vue'),
    children: [
      {
        path: '/home',
        name: 'Home',
        component: () => import('@/views/home/index.vue'),
        meta: {
          title: '首页'
        }
      },
      {
        path: '/roles',
        name: 'Roles',
        component: () => import('@/views/account/roles/index.vue'),
        meta: {
          title: '角色管理'
        }
      },
      {
        path: '/users',
        name: 'Users',
        component: () => import('@/views/account/users/index.vue'),
        meta: {
          title: '账户管理'
        }
      }
    ]
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/Login.vue'),
    meta: {
      title: '登录'
    }
  }
]

export const errorRouter = [
  {
    path: '/404',
    name: '404',
    component: () => import('@/components/ErrorMessage/404.vue'),
    meta: {
      title: '404页面'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    name: 'notFound',
    redirect: { name: '404' }
  }
]
